Returns an array with client, protocol and server version (when available)

- « pg_update

- PgSql\Connection »

- PHP Manual
- PostgreSQL Functions
- Returns an array with client, protocol and server version (when available)

# pg_version

(PHP 5, PHP 7, PHP 8)

pg_version — Returns an array with client, protocol and server version (when available)

### Description

pg_version(?PgSql\Connection `$connection` = `null`): array

pg_version() returns an array with the client, protocol and server version. Protocol and server versions are only available if PHP was compiled with PostgreSQL 7.4 or later.

For more detailed server information, use pg_parameter_status().

### Parameters

`connection`

  An PgSql\Connection instance. When `connection` is `null`, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

  Warning

  As of PHP 8.1.0, using the default connection is deprecated.

### Return Values

Returns an array with `client`, `protocol` and `server` keys and values (if available).

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.
8.0.0 | `connection` is now nullable.

### Examples

Example #1 pg_version() example

    <?php
      $dbconn = pg_connect("host=localhost port=5432 dbname=mary")
         or die("Could not connect");

      $v = pg_version($dbconn);

      echo $v['client'];
    ?>

The above example will output:

    7.4

### See Also

- pg_parameter_status() - Looks up a current parameter setting of the server